/*
 * lxmisc.c -- misc functions used by Lexmark printing package
 * $Id: lxmisc.c,v 1.2 1999/04/30 17:07:57 henryk Exp $
 */

#include<stdlib.h>
#include<stdio.h>
#include<string.h>
#include<stdarg.h>
#include<syslog.h>
#include"lxmisc.h"


int lxverbosity=LXV_STD;
int lxusesyslog=0;

void lxmsg(int level,const char *fmt,...) 
{
   if (level<=lxverbosity)
   {
      char buf[1026];
      va_list ap;
      va_start(ap,fmt);
      vsnprintf(buf,1024,fmt,ap);
      va_end(ap);
/*      strcat(buf,"\n");   not needed */
      if (!lxusesyslog)
      {
	 fputs(buf,stderr);
	 fflush(stderr);
      }
      else
      {
	 syslog(LOG_INFO,"%s",buf);
      }
   }

   if (level==LXV_FATAL)
      exit(-1);
}

void *lxmalloc(size_t size)
{
   void *tmp;
   tmp=malloc(size);
   if (tmp==NULL)
   {
      lxmsg(LXV_FATAL,"Can not alloc %d bytes\n",size);
   }
   return tmp;
}

